Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2768663002: [Bookmarks] Refactor search view to use SelectableListLayout paradigm (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months ago by Theresa
Modified:
3 months ago
Reviewers:
dfalcantara
CC:
chromium-reviews, tfarina, srahim+watch_chromium.org, browser-components-watch_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Bookmarks] Refactor search view to use SelectableListLayout paradigm Bookmarks currently uses a ViewPager to switch between the normal and search view. This is inconsistent with history and downloads and does not work well in Chrome Home. Refactor the bookmarks UI to use the SelectableListLayout paradigm for searching. BUG=687640 Review-Url: https://codereview.chromium.org/2768663002 Cr-Commit-Position: refs/heads/master@{#459122} Committed: https://chromium.googlesource.com/chromium/src/+/82d783b49d98c2d4050c43f336b3116cf4b322c5

Patch Set 1 #

Total comments: 5

Patch Set 2 : Fix spelling error #

Unified diffs Side-by-side diffs Delta from patch set Stats (+255 lines, -782 lines) Patch
M chrome/android/java/res/layout-sw720dp/bookmark_main.xml View 1 chunk +3 lines, -13 lines 0 comments Download
M chrome/android/java/res/layout/bookmark_main.xml View 1 chunk +18 lines, -28 lines 0 comments Download
D chrome/android/java/res/layout/bookmark_search.xml View 1 chunk +0 lines, -16 lines 0 comments Download
D chrome/android/java/res/layout/bookmark_search_core.xml View 1 chunk +0 lines, -75 lines 0 comments Download
D chrome/android/java/res/layout/bookmark_search_row.xml View 1 chunk +0 lines, -16 lines 0 comments Download
M chrome/android/java/res/menu/bookmark_action_bar_menu.xml View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkActionBar.java View 3 chunks +8 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkBridge.java View 3 chunks +4 lines, -14 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkDrawerListView.java View 1 chunk +4 lines, -2 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkItemsAdapter.java View 7 chunks +39 lines, -9 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java View 14 chunks +47 lines, -18 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkMatch.java View 1 chunk +0 lines, -65 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkPromoHeader.java View 4 chunks +12 lines, -1 line 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkRow.java View 2 chunks +6 lines, -6 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSearchRow.java View 1 chunk +0 lines, -67 lines 0 comments Download
D chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkSearchView.java View 1 chunk +0 lines, -409 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkUIObserver.java View 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkUIState.java View 2 chunks +8 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/widget/selection/SelectableListToolbar.java View 2 chunks +3 lines, -2 lines 0 comments Download
M chrome/android/java/strings/android_chrome_strings.grd View 1 chunk +1 line, -1 line 0 comments Download
M chrome/android/java_sources.gni View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/android/javatests/src/org/chromium/chrome/browser/bookmarks/BookmarkTest.java View 1 6 chunks +94 lines, -15 lines 0 comments Download
M chrome/browser/android/bookmarks/bookmark_bridge.cc View 1 chunk +2 lines, -20 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (13 generated)
Theresa
ptal
3 months ago (2017-03-21 22:13:47 UTC) #4
dfalcantara
lgtm https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java (right): https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java#newcode50 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java:50: We should really have a central place for ...
3 months ago (2017-03-23 00:56:37 UTC) #7
Theresa
https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java File chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java (right): https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java#newcode50 chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java:50: On 2017/03/23 00:56:36, dfalcantara (load balance plz) wrote: > ...
3 months ago (2017-03-23 15:49:38 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2768663002/20001
3 months ago (2017-03-23 16:50:26 UTC) #15
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/82d783b49d98c2d4050c43f336b3116cf4b322c5
3 months ago (2017-03-23 16:57:42 UTC) #18
dfalcantara
3 months ago (2017-03-23 17:12:03 UTC) #19
Message was sent while issue was closed.
https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org...
File
chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java
(right):

https://codereview.chromium.org/2768663002/diff/1/chrome/android/java/src/org...
chrome/android/java/src/org/chromium/chrome/browser/bookmarks/BookmarkManager.java:50:

On 2017/03/23 15:49:38, Theresa wrote:
> On 2017/03/23 00:56:36, dfalcantara (load balance plz) wrote:
> > We should really have a central place for this.
> 
> "bookmark_search_history" was previously in BookmarkSearchView which has been
> deleted, so this string only appears in one place (here). Do you mean we
should
> have a common place for removing deprecated preferences?

Yeah, common place for removing deprecated prefs.  I've seen the "distant
memory" string at least three times now.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318